VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::NtpStub Class Reference

Remote stub implementation of the Ntp API service. More...

Inherits vmware::appliance::techpreview::Ntp.

List of all members.

## Public Member Functions
| NtpStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.techpreview.NtpTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > servers)
| Test the connection to a list of ntp servers.
vmware.appliance.techpreview.NtpTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test the connection to a list of ntp servers.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.NtpTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > servers)
| Test the connection to a list of ntp servers.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.NtpTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test the connection to a list of ntp servers.
vmware.appliance.techpreview.NtpTypes.NTPConfig | Get ()
| Get the NTP configuration status.
vmware.appliance.techpreview.NtpTypes.NTPConfig | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the NTP configuration status.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.NtpTypes.NTPConfig > | GetAsync ()
| Get the NTP configuration status.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.NtpTypes.NTPConfig > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the NTP configuration status.

## Detailed Description

Remote stub implementation of the Ntp API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::NtpStub::NtpStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.techpreview.NtpTypes.NTPConfig vmware::appliance::techpreview::NtpStub::Get | ( |  | ) | `[inline]`

Get the NTP configuration status.

If you run the 'timesync.get' command, you can retrieve the current time synchronization method (NTP- or VMware Tools-based). The 'ntp' command always returns the NTP server information, even when the time synchronization mode is not set to NTP. If the time synchronization mode is not NTP-based, the NTP server status is displayed as down.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  NTP config

Implements vmware::appliance::techpreview::Ntp.

vmware.appliance.techpreview.NtpTypes.NTPConfig vmware::appliance::techpreview::NtpStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get the NTP configuration status.

If you run the 'timesync.get' command, you can retrieve the current time synchronization method (NTP- or VMware Tools-based). The 'ntp' command always returns the NTP server information, even when the time synchronization mode is not set to NTP. If the time synchronization mode is not NTP-based, the NTP server status is displayed as down.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  NTP config

Implements vmware::appliance::techpreview::Ntp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.NtpTypes.NTPConfig> vmware::appliance::techpreview::NtpStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get the NTP configuration status.

If you run the 'timesync.get' command, you can retrieve the current time synchronization method (NTP- or VMware Tools-based). The 'ntp' command always returns the NTP server information, even when the time synchronization mode is not set to NTP. If the time synchronization mode is not NTP-based, the NTP server status is displayed as down.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  NTP config

Implements vmware::appliance::techpreview::Ntp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.NtpTypes.NTPConfig> vmware::appliance::techpreview::NtpStub::GetAsync | ( |  | ) | `[inline]`

Get the NTP configuration status.

If you run the 'timesync.get' command, you can retrieve the current time synchronization method (NTP- or VMware Tools-based). The 'ntp' command always returns the NTP server information, even when the time synchronization mode is not set to NTP. If the time synchronization mode is not NTP-based, the NTP server status is displayed as down.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  NTP config

Implements vmware::appliance::techpreview::Ntp.

vmware.appliance.techpreview.NtpTypes.TestStatusInfo vmware::appliance::techpreview::NtpStub::Test | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Test the connection to a list of ntp servers.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  NTP connection status

Implements vmware::appliance::techpreview::Ntp.

vmware.appliance.techpreview.NtpTypes.TestStatusInfo vmware::appliance::techpreview::NtpStub::Test | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Test the connection to a list of ntp servers.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.

Returns:
  NTP connection status

Implements vmware::appliance::techpreview::Ntp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.NtpTypes.TestStatusInfo> vmware::appliance::techpreview::NtpStub::TestAsync | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

Test the connection to a list of ntp servers.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.

Returns:
  NTP connection status

Implements vmware::appliance::techpreview::Ntp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.NtpTypes.TestStatusInfo> vmware::appliance::techpreview::NtpStub::TestAsync | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Test the connection to a list of ntp servers.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | List of host names or IP addresses of NTP servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  NTP connection status

Implements vmware::appliance::techpreview::Ntp.

The documentation for this class was generated from the following file:

- NtpStub.cs